Creating a product bundle

API reference ProductsAPI

Overview

This endpoint can be used to create product bundles from products already created. Product bundles can be used to group multiple products together in one identifier (a new SKU and product_id)

Method access
      POST https://api.getbyrd.com/v2/warehouse/products
Request Headers
      Authorization: Bearer token-from >Authentication
      Content-Type: application/json
      User-Agent: your user-agent >How to call the APIs

Fields

To create a product bundle you need to specify these fields in the JSON request body:

FieldTypeDescriptionRequired
sku stringCode consisting of letters and/or numbers to identify the bundle.
Has to be unique in your environment.
always
name stringName of the bundlealways
description stringDescription of the bundleoptional
productType stringConstant with value bundlealways
bundleIngredients list of bundleIngredient objectThe product ids included in the bundle with their quantities
fields:
- ingredientID (string): the id of the product to include as an ingredient.
- quantity (integer): how many units of that ingredient the bundle contains.
Not enforced when the bundle is created: you can also send them later by updating the bundle, which replaces its current ingredients.
optional

Request body example

{
    "sku": "FELMO-000010",
    "productType": "bundle",
    "name": "2 x organic dog food and a fancy food recipient",
    "description": null,
    "bundleIngredients":[
        {
        "ingredientID":"2503e73f-8e00-477a-b142-27e93b3994fe",
        "quantity":1
        },
        {
        "ingredientID":"30dfa890-08ea-4807-98cb-7c4d7a1454bd",
        "quantity":2
        }
    ]
}

Successful response example

The id returned in the case of successful response is the bundle id which acts a product in byrd.

{
    "data": {
        "pictureID": null,
        "deletedDate": null,
        "isbn": null,
        "bsku": "BSKU-EBEN6XNPTS",
        "active": true,
        "reorderPoint": 0,
        "weightEstimation": null,
        "changeRequests": null,
        "isDangerousGoods": false,
        "fragile": false,
        "unavailableStock": 0,
        "sku": "FELMO-000010",
        "customsTariffNumber": null,
        "deleted": false,
        "barcodeType": null,
        "physicalStock": 0,
        "retailPrice": null,
        "updatedAt": "2023-03-17T13:41:14.246929+00:00",
        "id": "the_product_bundle_id",
        "purchasePriceEvidenceURL": null,
        "dangerousGoods": [],
        "packagingUnits": [],
        "variantID": null,
        "reservedStock": 0,
        "dangerousGoodsMSDSURL": null,
        "barcode": null,
        "description": null,
        "createdAt": "2023-03-17T13:41:14.246836+00:00",
        "ean": null,
        "lotsEnabled": false,
        "name": "2 x organic dog food and a fancy food recipient",
        "availableStock": 0,
        "productType": "bundle",
        "storages": [],
        "shopID": null,
        "originCountryCode": null,
        "purchasePrice": null,
        "dimensions": null,
        "productID": null,
        "skipBarcodePick": false,
        "packagingUnitEnabled": false,
        "organic": false,
        "stocksByWarehouse": {},
        "serialNumberEnabled": false,
        "upc": null
    }
}